### Function

# Adw CssClassBindingMapToPropertyFunc

unstable since: 1.10

#### Declaration

    void
    (* AdwCssClassBindingMapToPropertyFunc) (
      AdwCssClassBinding* self,
      gboolean class_applied,
      GValue* property_value,
      gpointer user_data
    )

#### Description [src]

Prototype for mapping CSS classes to properties for a `AdwCssClassBinding`.

Available since: 1.10

#### Parameters

`self`

  Type: `AdwCssClassBinding`

  The binding class.

  The data is owned by the caller of the function.

`class_applied`

  Type: `gboolean`

  Whether the target CSS class is applied.

`property_value`

  Type: `GValue`

  The value to use for the source property.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The user data provided when creating the binding.

  The argument can be `NULL`.
  The data is owned by the caller of the function.